Menu

## LoggingService
in package

LoggingService.php : 17

Einfacher File-Logger für die AdminTool-Anwendung.

Ziele:

- Technische Details werden in eine Log-Datei unter public/logs/ geschrieben.
- In der Weboberfläche erscheinen nur verständliche, fachliche Fehlermeldungen.

### Table of Contents

#### Constants

LEVEL_MAP = ['debug' => 100, 'info' => 200, 'warning' => 300, 'error' => 400]
  Zuordnung der Log-Level zu numerischen Werten zur Filterung.

#### Properties

$logDir : string
$logFile : string
$minLevel : int

#### Methods

__construct() : mixed
log() : void
  Allgemeiner Log-Eintrag.
logException() : void
  Komfortmethode, um Exceptions strukturiert zu loggen.
ensureLogDirectoryExists() : void
  Stellt sicher, dass das Log-Verzeichnis existiert.

### Constants

#### LEVEL_MAP

LoggingService.php : 33

Zuordnung der Log-Level zu numerischen Werten zur Filterung.

`private array<string, int> LEVEL_MAP = ['debug' => 100, 'info' => 200, 'warning' => 300, 'error' => 400]`

### Properties

#### $logDir

LoggingService.php : 20
`private string $logDir`

Vollständiger Pfad zum Log-Verzeichnis

#### $logFile

LoggingService.php : 23
`private string $logFile`

Dateiname der Log-Datei

#### $minLevel

LoggingService.php : 26
`private int $minLevel`

Minimale Log-Stufe, ab der geschrieben wird.

### Methods

#### __construct()

LoggingService.php : 43
`public __construct(array<string, mixed> $config) : mixed`

##### Parameters

$config : array<string, mixed>

  Teilkonfiguration "logging" aus config.php

#### log()

LoggingService.php : 79

Allgemeiner Log-Eintrag.

`public log(string $level, string $message[, array<string, mixed> $context = [] ]) : void`

##### Parameters

$level : string

  Log-Level (debug|info|warning|error)

$message : string

  Nachrichtentext

$context : array<string, mixed> = []

  Zusätzliche Kontextinformationen

#### logException()

LoggingService.php : 119

Komfortmethode, um Exceptions strukturiert zu loggen.

`public logException(string $message, Throwable $exception[, array<string, mixed> $context = [] ]) : void`

##### Parameters

$message : string

  Kurzer Kontexttext zur Exception

$exception : Throwable

  Die geworfene Exception

$context : array<string, mixed> = []

  Zusätzlicher Kontext (Route, Benutzername, Remote-IP, ...)

#### ensureLogDirectoryExists()

LoggingService.php : 60

Stellt sicher, dass das Log-Verzeichnis existiert.

`private ensureLogDirectoryExists() : void`

## Search results